﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Windows.Forms;

namespace ProhlizecObrazku
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main(string[] cmdParameters)
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            
            if (cmdParameters.Length == 1)
            {
                string extension = Path.GetExtension(cmdParameters[0]);
                if ((extension == ".jpg") || (extension == ".jpeg"))
                {
                    frmProchazeniAdresaru hlavni = new frmProchazeniAdresaru(Path.GetDirectoryName(cmdParameters[0]));
                    frmZobrazeniObrazku zobrazeni = new frmZobrazeniObrazku(cmdParameters[0]);
                    zobrazeni.Show(hlavni);
                    Application.Run(hlavni);
                }
                else if (extension == "")
                    Application.Run(new frmProchazeniAdresaru(cmdParameters[0]));
            }
            else
                Application.Run(new frmProchazeniAdresaru(Environment.CurrentDirectory));
        }
    }
}
